# Version$next\_version

### Version$<mark style="color:purple;">next\_version</mark>() → [Version](/api/client-libraries/redivis-r/reference/version.md) | NULL

Returns a new version instance for the version immediately following this version. If no subsequent version exists, will return `NULL`.

{% hint style="warning" %}
Note that this is different than calling `dataset$version("next")`, which will always reference the next (unreleased) version on the dataset. This method instead return the version immediately subsequent to the calling version.
{% endhint %}

### **Returns**

[**Version**](/api/client-libraries/redivis-r/reference/version.md) **| NULL**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/version/versionusdnext_version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
